import React from "react";
import "focus-visible";
/**
 * Компонент календаря с диапазоном.
 */ export var boundCalendar = function boundCalendar(param) {
    var CalendarBase = param.base, CalendarDouble = param.double, CalendarBaseRange = param.baseRange, CalendarDoubleRange = param.doubleRange;
    return function(rest) {
        if (!rest.isRange && !rest.isDouble) {
            return /*#__PURE__*/ React.createElement(CalendarBase, rest);
        }
        if (!rest.isRange && rest.isDouble) {
            return /*#__PURE__*/ React.createElement(CalendarDouble, rest);
        }
        if (rest.isRange && !rest.isDouble) {
            return /*#__PURE__*/ React.createElement(CalendarBaseRange, rest);
        }
        if (rest.isRange && rest.isDouble) {
            return /*#__PURE__*/ React.createElement(CalendarDoubleRange, rest);
        }
        return null;
    };
};
